@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@1,600&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: "Poppins";
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to top, rgba(0,0,0,0.8),rgba(0,0,0,0.7)), url('vu_tru.jpg') no-repeat center/cover;
}

#weather{
    width: 350px;
    border-radius: 10px;
    padding: 30px 20px;
    background: url(vu_tru.jpg) no-repeat center/cover;
}

.search{
    width: 100%;
    padding: 10px 20px;
    border: none;
    outline: none;
    background: rgba(225,225,225,0.3);
    border-radius: 0 15px 0 15px;
    box-shadow: 0 5px 4px rgba(0,0,0,0.2);
    transition: 0.4s;
    font-size: 19px;
}

.search:focus{
    background: rgba(225,225,225,0.7);
    border-radius: 15px 0 15px 0;
}

.content{
    text-align: center;
    color: #b5dfdf;
    margin: 40px 0;
    transition: 0.4s;
}

.capital{
    text-shadow: 4px 4px rgba(0,0,0,0.5);
}

.time{
    margin: 15px 0 20px 0;
    font-size: 15px;
}

.temp{
    font-size: 65px;
    text-shadow: 4px 4px rgba(0,0,0,0.7);
    background: rgba(225,225,225,0.4);
    box-shadow: 4px 4px rgba(0,0,0,0.5);
    border: none;
    border-radius: 10px;
    margin: 0 30px;
    padding: 20px;
}

.short-desc{
    font-size: 40px;
    font-weight: bold;
    text-shadow: 2px 2px rgba(0,0,0,0.5);
    margin: 30px;
}

.more-desc{
    display: flex;
    justify-content: space-between;
}

.more-desc div{
    display: flex;
    flex-direction: column;
    padding: 5px;
}

.more-desc div i{
    margin: 10px 0;
}

.hide{
    visibility: hidden;
    opacity: 0;
}